<div class="container">
  <div class="row justify-content-center card-margins">
    <div class="col-10">
      <mat-card>
        <mat-card-title>Create a discussion</mat-card-title>
        <mat-card-content>
          <mat-form-field appearance="outline">
            <mat-label>Title</mat-label>
            <textarea
              matInput
              appAutofocus
              placeholder="What is your question?"
              [(ngModel)]="questionTitle"
            ></textarea></mat-form-field
        ></mat-card-content>
        <mat-card-content class="question-description">
          <mat-form-field appearance="outline">
            <mat-label>Question description</mat-label>
            <textarea
              matInput
              placeholder="Describe your question in detail"
              matTextareaAutosize
              matAutosizeMinRows="6"
              [(ngModel)]="questionText"
            ></textarea></mat-form-field
        ></mat-card-content>
        <mat-card-actions>
          <button mat-button (click)="submitDiscussion()">
            <mat-icon class="material-icons-outlined button-icons">send</mat-icon>
            Submit
          </button>
          <button mat-button (click)="cancel()">
            <mat-icon class="material-icons-outlined button-icons">close</mat-icon>
            Close
          </button>
        </mat-card-actions>
      </mat-card>
    </div>
  </div>
</div>
